Delete Media File
curl --request DELETE \
--url https://api.voxo.co/v2/admin/media-files/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voxo.co/v2/admin/media-files/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voxo.co/v2/admin/media-files/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"tenantId": 123,
"name": "<string>",
"size": 123,
"text": "<string>",
"language": "<string>",
"multilingualText": [
{
"language": "<string>",
"text": "<string>"
}
],
"voiceId": "<string>",
"createdAt": "<string>",
"md5": "<string>",
"deactivatedAnnouncements": []
}Media Files
Delete Media File
Delete a media file and deactivate any announcements that reference it
DELETE
/
v2
/
admin
/
media-files
/
{id}
Delete Media File
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Media file ID
Pattern:
^[1-9]\d*$Response
200 - application/json
Deleted media file
Media file ID
Tenant ID (0 = system)
Media file name
File size in bytes
Text/description
Language code for single-language files
Language segments for multi-language files
Show child attributes
Show child attributes
Voice ID
Creation timestamp (ISO)
MD5 hash of the stored audio
Announcements deactivated because they referenced this file
Show child attributes
Show child attributes
Was this page helpful?